import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import ProductName
from gso.products.product_types.iptrunk import Iptrunk
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_iptrunk_success(iptrunk_subscription_factory):
    imported_iptrunk = iptrunk_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_iptrunk", [{"subscription_id": imported_iptrunk}])
    subscription = Iptrunk.from_subscription(imported_iptrunk)

    assert_complete(result)
    assert subscription.product.name == ProductName.IP_TRUNK
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync
